Get a file handler to the entry defined by its index (read only)

- « ZipArchive::getStream

- ZipArchive::getStreamName »

- PHP Manual
- ZipArchive
- Get a file handler to the entry defined by its index (read only)

# ZipArchive::getStreamIndex

(PHP 8 >= 8.2.0, PECL zip >= 1.20.0)

ZipArchive::getStreamIndex — Get a file handler to the entry defined by its index (read only)

### Description

public ZipArchive::getStreamIndex(int `$index`, int `$flags` = 0): resource|false

Get a file handler to the entry defined by its index. For now, it only supports read operations.

### Parameters

`index`

  Index of the entry

`flags`

  If flags is set to `ZipArchive::FL_UNCHANGED`, the original unchanged stream is returned.

### Return Values

Returns a file pointer (resource) on success or `false` on failure.

### Examples

Example #1 Get the entry contents with fread() and store it

    <?php$contents = '';$z = new ZipArchive();if ($z->open('test.zip')) {    $fp = $z->getStreamIndex(1, ZipArchive::FL_UNCHANGED);    if(!$fp) die($z->getStatusString());    echo stream_get_contents($fp);    fclose($fp);}?>

### See Also

- ZipArchive::getStreamName() - Get a file handler to the entry defined by its name (read only)